centreXBegin, centreYBegin = 75, 70   #position of centre of central zone at 0hrs
centre3DBegin = [75.0, 70.0, 103*0.26/1.0]  #3D position of centre of central zone at 0hrs
lowCutOffValue, highCutOffValue = -0.1, 0.5
diceThreshold = 0.0
meanNormalationForDataCleaning = False

centreXEnd, centreYEnd = 72, 67 #position of centre of central zone at 84hrs
centre3DEnd = [72.0, 67.0, 187*0.26/1.495] #3D position of centre of central zone at 84hrs

L1centre =  [(71.226607153458119, 70.952571194496272, 27.307024056824769), (69.937716043634737, 65.149726758702556, 32.634700445205105), (76.498163294521532, 60.620250470817552, 36.199273508526666), (72.408108669004449, 58.912433877911269, 30.072212855108535), (74.894061757312173, 59.496147623723772, 26.790709760811442), (81.0909557266246, 62.829463538312979, 39.26867195065897), (78.660276999285699, 59.956225818619515, 36.800965322697408), (71.509452659043845, 61.781487121385886, 37.494931230598844), (73.160026366385082, 64.36811976763407, 33.214928635966778), (73.839502689131962, 71.103872693419305, 29.98110363986687), (78.422440871873093, 65.55138803291014, 34.071665981574974), (73.423775651491894, 69.670780550560124, 28.43125567058966), (74.236572922598043, 71.721194411813116, 24.24904341381108), (71.845652979045227, 66.002752569520837, 31.845747590116105), (74.783777611199199, 68.471657897308731, 28.225195824555069), (74.271176893328303, 65.968261021847141, 36.00379491729614), (72.422027143015342, 68.600383078866813, 34.882731224816624), (75.299150357748218, 70.941506876169356, 33.051705336760385), (71.969317870114239, 71.715823162625398, 45.314035611081628), (72.836301021470376, 72.526957140436267, 34.504949077333215), (70.08082442921571, 67.630134031928023, 32.679482874827123)] #tracked back

#L1centre = [(74.906416607919525, 71.108182409601568, 26.277070025042828), (73.787337750475544, 65.390526057146829, 31.744078605492657), (80.224474991321586, 60.618063112611217, 34.819511886223289), (76.217664236694262, 59.010375382943472, 28.580986828538595), (78.749123455188041, 59.594605245616755, 25.39051609074048), (85.039269986759123, 62.959939335801373, 37.813646427432737), (82.730105188301664, 60.104779886587124, 35.388399613056322), (75.725691485659723, 61.948051041166359, 36.083355127054055), (77.046218509820918, 64.955462933556575, 31.813320408626094), (77.826502779635959, 71.412265426929579, 28.309144312909481), (82.320371658299734, 67.025993365156111, 32.285827921067401), (77.391324040670369, 71.13582530384673, 26.616504986613702), (78.312483837726958, 72.098743311399872, 22.299399611889186), (76.019286409336814, 66.428304269101417, 29.852603745426592), (79.016245907993451, 69.049115416928871, 26.134210637516574), (78.655011138792318, 66.60347859422069, 33.854763397849062), (76.906920340595448, 69.264192237250782, 32.672197056747173), (79.496770488473871, 72.20411262962233, 30.581701544886485), (76.519327473174442, 73.143244792372954, 42.830391507047267), (78.191037370792444, 73.854796532040353, 31.708748543560485), (75.759415457468378, 69.740909643568884, 29.534159136854768)] #tracked forward
 
#L1 cells within 30 micron radius
meanVolumes = [116.67813473497316, 118.9428808130352, 123.04403101227243, 128.68563609404882, 125.92294184857616, 135.09992039333821, 142.9276518298619, 147.73532678811659, 147.73583068013821, 155.59974642634404, 156.8941105944771, 155.51694010767795, 151.00113191994743, 149.99927875624587, 148.33128130930581, 150.62852227147056, 150.9028103170275, 150.10408444571203, 159.26162813470737, 149.69266869952239, 161.50513668786724]


#Parameters in identify indices script: [centreX, centreY, radius] = [73, 67, 25], zThr = zRes * 60  celldiff = 2   
#indicesTBegin =  ["L1 central zone at 0hrs", [542, 563, 591, 696, 595, 612, 603, 606, 617, 618, 619, 627, 634, 635, 653, 663, 671, 683, 626, 691, 694, 698, 702, 703, 704, 708, 709, 711, 712, 715, 718, 722, 724, 725, 726, 731, 735, 736, 738, 746, 747, 748, 749, 753, 723, 756, 757, 728, 729, 732, 651, 737, 744, 654, 745, 695, 751, 752, 705, 754, 755, 673, 714, 743]]
#indicesTEnd = ["L1 cells, complete lineages after cleaning", [881, 904, 867, 898, 905, 631, 663, 619, 662, 720, 272, 447, 502, 589, 583, 686, 637, 699, 758, 816, 562, 617, 700, 782, 698, 736, 752, 807, 824, 735, 795, 740, 799, 477, 651, 694, 792, 706, 717, 742, 798, 790, 863, 852, 882, 913, 778, 823, 871, 915, 513, 683, 861, 894, 911, 831, 864, 856, 887, 857, 893, 902, 757, 815, 850, 897, 934, 923, 940, 942, 943, 704, 774, 665, 767, 848, 854, 838, 855, 912, 918, 932, 950, 933, 946, 919, 892, 931, 960, 957, 949, 951, 961, 962, 963, 955, 615, 710, 804, 878, 924, 948, 935, 964, 965, 959, 612, 737, 594, 748, 835, 849, 921, 917, 928, 953, 944, 956, 952, 954, 947, 648, 733, 813, 891, 828, 936, 937, 927, 939, 958, 945, 509, 690, 602, 754, 842, 681, 753, 786, 800, 837, 853, 909, 916, 938, 941, 547, 620, 673, 756, 895, 926, 929, 819, 879, 922, 930, 803, 847, 875, 868, 906, 910]]


#Parameters in identify indices script: [centreX, centreY, centreZ] = centre3DBegin, radius = ??, zThr = zRes * 60  celldiff = 2   
indicesTBegin =  ["L1 central zone at 0hrs", [599, 524, 534, 542, 563, 583, 589, 591, 696, 595, 596, 612, 603, 606, 613, 617, 618, 619, 620, 622, 625, 627, 629, 634, 635, 638, 640, 643, 652, 653, 655, 662, 663, 664, 669, 671, 624, 674, 676, 677, 678, 683, 684, 626, 691, 693, 694, 698, 699, 700, 701, 702, 703, 704, 706, 707, 708, 709, 710, 711, 712, 713, 715, 716, 717, 718, 719, 720, 721, 722, 724, 725, 726, 727, 731, 734, 735, 736, 738, 741, 742, 746, 747, 748, 749, 750, 753, 723, 756, 757, 728, 729, 733, 730, 732, 650, 651, 737, 744, 739, 654, 740, 573, 745, 695, 751, 752, 705, 754, 755, 586, 673, 714, 697, 743]]
#Parameters in identify indices script: [centreX, centreY, centreZ] = centre3DBegin, radius = 45, zThr = zRes * 60  celldiff = 2  
#indicesTBegin =  ["L1 central zone at 0hrs", [599, 524, 534, 542, 563, 583, 589, 591, 696, 595, 596, 612, 603, 606, 613, 617, 618, 619, 620, 627, 629, 634, 635, 638, 640, 643, 652, 653, 655, 662, 663, 664, 669, 671, 624, 674, 676, 677, 678, 683, 684, 626, 691, 693, 694, 698, 699, 700, 701, 702, 703, 704, 706, 707, 708, 709, 710, 711, 712, 713, 715, 716, 717, 718, 719, 720, 721, 722, 724, 725, 726, 727, 731, 734, 735, 736, 738, 741, 742, 746, 747, 748, 749, 750, 753, 723, 756, 757, 728, 729, 733, 730, 732, 650, 651, 737, 744, 739, 654, 740, 573, 745, 695, 751, 752, 705, 754, 755, 586, 673, 714, 697, 743]]

indicesTEndForward = ["L1 full lineages after cleaning", [881, 904, 867, 898, 905, 631, 663, 619, 662, 720, 272, 447, 502, 589, 583, 686, 637, 699, 758, 816, 562, 617, 700, 782, 698, 736, 752, 807, 824, 735, 795, 740, 799, 477, 651, 694, 792, 706, 717, 742, 798, 790, 863, 852, 882, 913, 778, 823, 871, 915, 513, 683, 861, 894, 911, 551, 587, 626, 638, 611, 541, 635, 831, 864, 856, 887, 857, 893, 902, 757, 815, 850, 897, 498, 639, 452, 603, 934, 923, 940, 942, 943, 704, 774, 665, 767, 848, 854, 838, 855, 912, 918, 932, 950, 933, 946, 919, 892, 931, 960, 957, 949, 951, 961, 962, 963, 955, 517, 518, 615, 710, 804, 878, 924, 948, 935, 964, 965, 959, 542, 555, 612, 737, 594, 748, 835, 849, 921, 917, 928, 953, 944, 956, 952, 954, 947, 648, 733, 813, 891, 828, 632, 647, 659, 936, 937, 927, 939, 958, 945, 509, 690, 602, 754, 842, 572, 596, 681, 753, 786, 800, 837, 853, 909, 916, 938, 941, 547, 620, 673, 756, 895, 926, 929, 819, 879, 922, 930, 803, 847, 875, 868, 906, 910] ]


#Parameters in identify indices script: [centreX, centreY, centreZ] = centre3DEnd, radius = 45, zThr = zRes * 60, celldiff = 2  back tracked from 84hrs
indicesTEndBack = ["L1 central zone", [588, 602, 607, 608, 617, 620, 631, 637, 655, 662, 663, 665, 671, 673, 681, 684, 686, 690, 693, 698, 699, 700, 702, 704, 706, 717, 720, 725, 729, 735, 736, 737, 740, 742, 748, 752, 753, 754, 756, 757, 758, 767, 774, 776, 778, 779, 780, 782, 786, 790, 792, 795, 798, 799, 800, 802, 803, 804, 807, 810, 813, 815, 816, 819, 823, 824, 828, 831, 835, 837, 838, 842, 847, 848, 849, 850, 852, 853, 854, 855, 856, 857, 861, 863, 864, 867, 868, 871, 875, 878, 879, 881, 882, 887, 891, 892, 893, 894, 895, 897, 898, 902, 904, 905, 906, 909, 910, 911, 912, 913, 915, 916, 917, 918, 919, 921, 922, 923, 924, 926, 927, 928, 929, 930, 931, 932, 933, 934, 935, 936, 937, 938, 939, 940, 941, 942, 943, 944, 945, 946, 947, 948, 949, 950, 951, 952, 953, 954, 955, 956, 957, 958, 959, 960, 961, 962, 963, 964, 965] ]

#Parameters in identify indices script: [centreX, centreY, radius] = [70, 64, 32], zThr = zRes * 60, celldiff = 2  
#indicesTEndBack = ["L1 central zone at 84hrs", [588, 607, 608, 617, 631, 655, 662, 663, 671, 673, 693, 698, 700, 702, 706, 717, 720, 735, 736, 740, 742, 752, 756, 758, 767, 774, 776, 782, 790, 795, 798, 799, 800, 802, 803, 807, 810, 816, 824, 831, 837, 838, 842, 847, 848, 853, 854, 855, 856, 857, 861, 863, 864, 867, 868, 875, 879, 881, 887, 893, 894, 895, 898, 902, 904, 905, 906, 909, 910, 911, 912, 913, 916, 917, 918, 919, 921, 922, 923, 924, 926, 927, 928, 929, 930, 931, 932, 933, 934, 935, 936, 937, 938, 939, 940, 941, 942, 943, 944, 945, 946, 947, 948, 949, 950, 951, 952, 953, 954, 955, 956, 957, 958, 959, 960, 961, 962, 963, 964, 965]]

#radius = 60, zThr = 10 , celldiff = 2  
indicesL1Init = [ "initial central L1", [521, 522, 599, 524, 514, 534, 538, 541, 542, 546, 550, 552, 519, 558, 559, 520, 562, 563, 568, 574, 581, 583, 589, 591, 592, 696, 595, 596, 612, 603, 606, 613, 529, 617, 618, 619, 620, 622, 515, 625, 627, 629, 634, 635, 638, 640, 643, 652, 653, 655, 662, 663, 664, 669, 671, 624, 674, 676, 677, 678, 683, 684, 626, 691, 693, 694, 698, 699, 700, 701, 702, 703, 704, 706, 707, 708, 709, 710, 711, 712, 713, 715, 716, 717, 718, 719, 720, 721, 722, 724, 725, 726, 727, 731, 734, 735, 736, 738, 741, 742, 746, 747, 748, 749, 750, 753, 723, 756, 757, 728, 729, 733, 730, 732, 650, 651, 737, 744, 739, 654, 740, 573, 745, 695, 751, 752, 705, 754, 433, 755, 441, 442, 444, 586, 446, 449, 587, 452, 673, 714, 697, 462, 464, 465, 475, 479, 483, 487, 743, 501, 505, 509]]


